package com.supervision.police.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * 案件状态
 */
@Data
public class CaseStatus {


    @Schema(description = "数据状态  0:没有基础数据 1:数据未更新 2：数据已更新")
    private int caseDataStatus;

    @Schema(description = "分析状态 0:未分析 1：正在分析 2：分析成功  3：分析失败 ")
    private int caseAnalysisStatus;

    public CaseStatus() {
    }

    public CaseStatus(int caseDataStatus, int caseAnalysisStatus) {
        this.caseDataStatus = caseDataStatus;
        this.caseAnalysisStatus = caseAnalysisStatus;
    }
}
